OnlyFans API
FanslyChats

Delete Chat Message

Delete one of your own messages from a chat (messaging group).

DELETE
/api/fansly/{fanslyAccount}/chats/{chat_id}/messages/{message_id}
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

fanslyAccount*string

The Fansly Account ID

chat_id*string

The Fansly chat (group) ID.

message_id*string

The Fansly message ID to delete.

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/fansly/fansly_acct_XXXXXXXXXXXXXXX/chats/200000000000000001/messages/300000000000000001"
{
  "data": {
    "id": "300000000000000001",
    "type": 1,
    "dataVersion": 1,
    "content": "Hey there!",
    "groupId": "200000000000000001",
    "senderId": "100000000000000001",
    "correlationId": "0",
    "inReplyTo": null,
    "inReplyToRoot": null,
    "createdAt": 1700000000,
    "attachments": [],
    "embeds": [],
    "interactions": [
      {
        "userId": "300000000000000001",
        "readAt": 0,
        "deliveredAt": 0
      }
    ],
    "likes": [],
    "deletedAt": 1700000010
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 100000,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 5000,
      "limit_day": null,
      "remaining_minute": 4999,
      "remaining_day": null,
      "notice": "We have decided to remove our daily rate limits. Please remove any references to these in your integrations."
    }
  }
}